#version 460 compatibility

out vec4 shadowBuffer0;

uniform sampler2D tex;

flat in int isUseSSS;
in vec2 Texcoord;
in vec3 vColor;

#if MC_VERSION >= 11700
    uniform float alphaTestRef;
#endif

void main()
{
    shadowBuffer0 = texture(tex, Texcoord);
    shadowBuffer0.rgb *= vColor;
    if(isUseSSS == 1)
        shadowBuffer0.a = 1.0;
    #if MC_VERSION >= 11700
        if(shadowBuffer0.a < alphaTestRef)
            discard;
    #endif
}