#version 460 core

out vec4 texBuffer4;

uniform vec2 screenTexel;
uniform sampler2D colortex4;

in vec2 Texcoord;

void main()
{             
    vec3 result = texture(colortex4, Texcoord).rgb * 0.227027;
    result += texture(colortex4, Texcoord + vec2(screenTexel.x, 0.0)).rgb * 0.1945946;
    result += texture(colortex4, Texcoord - vec2(screenTexel.x, 0.0)).rgb * 0.1945946;
    result += texture(colortex4, Texcoord + vec2(screenTexel.x * 2.0, 0.0)).rgb * 0.1216216;
    result += texture(colortex4, Texcoord - vec2(screenTexel.x * 2.0, 0.0)).rgb * 0.1216216;
    result += texture(colortex4, Texcoord + vec2(screenTexel.x * 3.0, 0.0)).rgb * 0.054054;
    result += texture(colortex4, Texcoord - vec2(screenTexel.x * 3.0, 0.0)).rgb * 0.054054;
    result += texture(colortex4, Texcoord + vec2(screenTexel.x * 4.0, 0.0)).rgb * 0.016216;
    result += texture(colortex4, Texcoord - vec2(screenTexel.x * 4.0, 0.0)).rgb * 0.016216;
    
    texBuffer4 = vec4(result, 1.0);
}
/* DRAWBUFFERS:4 */