#version 460 compatibility

out vec4 shadowBuffer0;

uniform sampler2D tex;

#if MC_VERSION >= 11700
    uniform float alphaTestRef;
#endif

in vec2 Texcoord;
in vec3 vColor;

void main()
{
    shadowBuffer0 = texture(tex, Texcoord);
    shadowBuffer0.rgb *= vColor;
    #if MC_VERSION >= 11700
    if(shadowBuffer0.a < alphaTestRef)
        discard;
    #endif
}