
float pow3_2(in float x)
{
	return x * sqrt(x);
}

float pow2(in float x)
{
	return x * x;
}

float pow3(in float x)
{
	return x * x * x;
}

float pow4(in float x)
{
	float x2 = x * x;
	return x2 * x2;
}

float pow5(in float x)
{
	float x2 = x * x;
	return x2 * x2 * x;
}

float pow8(in float x)
{
	float x2 = x * x;
	float x4 = x2 * x2;
	return x4 * x4;	
}

float pow16(in float x)
{
	float x2 = x * x;
	float x4 = x2 * x2;
	float x8 = x4 * x4;
	return x8 * x8;
}

float saturate(in float x)
{
	return clamp(x, 0.0, 1.0);
}

float linearstep(const float a, const float b, in float x)
{
	return clamp((x - a) / (b - a), 0.0, 1.0);
}

float cubicSmooth(in float x)
{
	return x * x * (3.0 - 2.0 * x);
}