uniform vec2 JitterSampleOffset;
uniform int framemod8;
uniform vec2 screenTexel;

const vec2[8] offsets = vec2[8](vec2(1./8.,-3./8.),
							vec2(-1.,3.)/8.,
							vec2(5.0,1.)/8.,
							vec2(-3,-5.)/8.,
							vec2(-5.,5.)/8.,
							vec2(-7.,-1.)/8.,
							vec2(3,7.)/8.,
							vec2(7.,-7.)/8.);

#define TAA

void DoTAAJitter(inout vec4 pos)
{
    #ifdef TAA
        pos.xy += offsets[framemod8] * screenTexel * pos.z;
    #endif
}