#version 460 compatibility

out vec4 texBuffer6;

uniform sampler2D tex;

in vec2 Texcoord;
in vec4 vColor;

#if MC_VERSION >= 11700
    uniform float alphaTestRef;
#endif

void main()
{
    vec4 texc = texture(tex, Texcoord);
    texc *= vColor;
    #if MC_VERSION >= 11700
    if(texc.a < alphaTestRef)
        discard;
    #endif
    texBuffer6 = vec4(dot(pow(texc.rgb, vec3(2.2)), vec3(0.217, 0.512, 0.071)), pow(texc.a, 2.2) * 0.75, 0.0, texc.a);
}
/* DRAWBUFFERS:4 */