#version 460 core

out vec4 texBuffer2;

in vec2 Texcoord;

uniform vec2 screenTexel;
uniform sampler2D colortex2;

const float weight[5] = float[] (0.227027, 0.1945946, 0.1216216, 0.054054, 0.016216);

void main()
{
    vec3 result = texture(colortex2, Texcoord).rgb * weight[0];
    for(int i = 1; i < 5; ++i)
    {
        result += texture(colortex2, Texcoord + vec2(screenTexel.x * i, 0.0)).rgb * weight[i];
        result += texture(colortex2, Texcoord - vec2(screenTexel.x * i, 0.0)).rgb * weight[i];
    }
    texBuffer2 = vec4(result, 1.0);
}
/* DRAWBUFFERS:2 */