#version 460 compatibility

layout(location = 0) out vec4 texBuffer0;
layout(location = 1) out vec4 texBuffer1;

uniform sampler2D tex;

in float lightmap;
in float ao;
in vec2 Texcoord;
in vec3 vColor;

#if MC_VERSION >= 11700
    uniform float alphaTestRef;
#endif

void main()
{
    texBuffer0 = texture(tex, Texcoord);
    #if MC_VERSION >= 11700
    if(texBuffer0.a < alphaTestRef)
        discard;
    #endif
    texBuffer0.rgb = pow(texBuffer0.rgb * vColor, vec3(2.2));
    texBuffer1 = vec4(lightmap, ao, 0.0, 1.0);
}
/* DRAWBUFFERS:01 */