#version 460 compatibility

out vec4 texBuffer0;

uniform sampler2D tex;

#if MC_VERSION >= 11700
    uniform float alphaTestRef;
#endif

in vec2 Texcoord;
in vec3 vColor;

void main()
{
    texBuffer0 = texture(tex, Texcoord);
    texBuffer0.rgb *= vColor;

    #if MC_VERSION >= 11700
    if(texBuffer0.a < alphaTestRef)
        discard;
    #endif
    
    texBuffer0.rgb = pow(texBuffer0.rgb, vec3(2.2));
}
/* DRAWBUFFERS:3 */